package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFJD5Data {

    private Map<String, Object> params;
    
    public MWFJD5Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsId() {
        return (String) params.get("RS_ID");
    }

    public String rsName() {
        return (String) params.get("RS_NAME");
    }

    public String rsType() {
        return (String) params.get("RS_TYPE");
    }

    public Long rsNotifyEmail() {
        return (Long) params.get("RS_NOTIFY_EMAIL");
    }

    public String rsNotificationEmail() {
        return (String) params.get("RS_NOTIFICATION_EMAIL");
    }

    public Long rsActive() {
        return (Long) params.get("RS_ACTIVE");
    }

    public Long rsNotifyAssignment() {
        return (Long) params.get("RS_NOTIFY_ASSIGNMENT");
    }

    public Long rsNotifyAttachments() {
        return (Long) params.get("RS_NOTIFY_ATTACHMENTS");
    }

    public Long rsNotifySolution() {
        return (Long) params.get("RS_NOTIFY_SOLUTION");
    }

    public String rsHelp() {
        return (String) params.get("RS_HELP");
    }

    public Long rsEscalation() {
        return (Long) params.get("RS_ESCALATION");
    }

    public String rsEscalationEmail() {
        return (String) params.get("RS_ESCALATION_EMAIL");
    }

    public String rsInvisibleSystems() {
        return (String) params.get("RS_INVISIBLE_SYSTEMS");
    }

    public String rsObjectIdType() {
        return (String) params.get("RS_OBJECT_ID_TYPE");
    }

    public String rsClientIdType() {
        return (String) params.get("RS_CLIENT_ID_TYPE");
    } 

}
